/*
 * Copyright 2004 JTracker.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jtracker.jtcase.eng;

import org.jtracker.jtcase.ui.ConstInf;
public class MethodModel {

final static String ACCESS_PUBLIC = "public";
final static String ACCESS_PROTECTED = "protected";
final static String ACCESS_PRIVATE = "private";
final static String PARAMETER_START = "(";
final static String PARAMETER_END = ")";
final static String SRC_BLOCK_START = "{";
final static String SRC_BLOCK_END = "}";
public static String getMethodNameByString(String str){
	String methodName=null;
    //if(!isMethodDefine(str))return null;
    methodName=str;
	return methodName;	
}
public static boolean isMethodDefine(String str){
//	 if(!((str.indexOf(ACCESS_PUBLIC)>=0)
//	    ||(str.indexOf(ACCESS_PROTECTED)>=0)
//	    ||(str.indexOf(ACCESS_PRIVATE)>=0)))return false;
	 if(((str.indexOf(ACCESS_PUBLIC)>=0)
		  ||(str.indexOf(ACCESS_PROTECTED)>=0)
		  ||(str.indexOf(ACCESS_PRIVATE)>=0))
	    &&(str.indexOf(PARAMETER_START)>0)
	    &&(str.indexOf(SRC_BLOCK_START)>0)	     
	     ) return true;	 
	 return false;
}	    
}
