/*
 * Copyright 2004 JTracker.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jtracker.jtcase.ui;

import java.awt.*;
import javax.swing.*;


public class AboutDlg extends JDialog {
  JPanel panel1 = new JPanel();
  JLabel jLabel1 = new JLabel();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel3 = new JLabel();
  JLabel jLabel4 = new JLabel();
  JPanel jPanel1 = new JPanel();

  public AboutDlg(Frame frame, String title, boolean modal) {
    super(frame, title, modal);
    try {
      jbInit();
      pack();
    }
    catch(Exception ex) {
      ex.printStackTrace();
    }
  }

  public AboutDlg() {
    this(null, "", false);
  }

  private void jbInit() throws Exception {
    panel1.setLayout(null);
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 14));
    jLabel1.setText("JTcase 0.1 edition");
    jLabel1.setBounds(new Rectangle(13, 0, 140, 31));
    panel1.setToolTipText("");
    jLabel2.setText("(c)JTracker Software Foundation 2004 All rights reserved");
    jLabel2.setBounds(new Rectangle(5, 24, 280, 15));
    jLabel3.setText("Web:   http://www.jtracker.net");
    jLabel3.setBounds(new Rectangle(12, 46, 150, 15));
    jLabel4.setText("Email: feedback@jtracker.net");
    jLabel4.setBounds(new Rectangle(13, 59, 140, 15));
    jPanel1.setBounds(new Rectangle(27, 20, 301, 92));
    jPanel1.setLayout(null);
    this.getContentPane().add(panel1, BorderLayout.CENTER);
    panel1.add(jPanel1, null);
    jPanel1.add(jLabel2, null);
    jPanel1.add(jLabel4, null);
    jPanel1.add(jLabel3, null);
    jPanel1.add(jLabel1, null);
  }
}
