/*
 * Copyright 2004 JTracker.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jtracker.jtcase.ui;
import javax.swing.*;
import java.util.Vector;
import org.jtracker.jtcase.eng.*;

import java.util.*;
public class TPIDList extends JList{
final static String FUNC_SPACE_B = "+ ";
final static String TPID_SPACE_B = "- ";
Vector idLst = new Vector();
public TPIDList(){
	super();
	}
public void setListData(Vector idLst){
	Vector itemLst = new Vector();
	for(int i=0;i<idLst.size();i++){
	TPIDModel idObj = (TPIDModel)idLst.get(i);
	String id = idObj.getTpID();
	String disItem = "";
	if(MethodModel.isMethodDefine(id)){
		disItem = new String(ConstInf.TPID_VIEW_UI_METHOD_START+FUNC_SPACE_B+idObj.getTpID());
	}else{
		disItem = new String(ConstInf.TPID_VIEW_UI_ID_START+TPID_SPACE_B+idObj.getLine()+" : "+idObj.getTpID());
	}
	itemLst.add(disItem);   
	}
	super.setListData(itemLst);
	this.idLst = idLst;
}
public Vector getSelectData(){
	Vector selLst = new Vector();
	for(int i=0;i<idLst.size();i++){
	if(this.isSelectedIndex(i)){
		TPIDModel idModel = new TPIDModel((TPIDModel)idLst.get(i));
		selLst.add(idModel);
	}
	}
	return selLst;
}
}
