/*
 * Copyright 2004 JTracker.org
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jtracker.jtcase.ui;
import java.util.Properties;
import java.io.*;

public class AppProperty {
  final static String propertyFile = "jtcase.txt";
  static Properties property = new Properties();
  static String sourceFile = "11";
  static String caseFile = "22";
  static String IDFilt = "33";
  public AppProperty() {
  }
  public static void init(){
  try{
   property.load(new FileInputStream(propertyFile));
   sourceFile = property.getProperty("sourceFile");
   caseFile = property.getProperty("caseFile");
   IDFilt = property.getProperty("IDFilt");
  }catch(IOException e){e.printStackTrace();}
  }
 public static void save(){
 	try{
 	property.store(new FileOutputStream(propertyFile),"JTcase Config");
 	}catch(IOException e){e.printStackTrace();}
 }
/**
 * @return
 */
public static String getCaseFile() {
	return caseFile;
}

/**
 * @return
 */
public static String getIDFilt() {
	return IDFilt;
}

/**
 * @return
 */
public static Properties getProperty() {
	return property;
}

/**
 * @return
 */
public static String getPropertyFile() {
	return propertyFile;
}

/**
 * @return
 */
public static String getSourceFile() {
	return sourceFile;
}

}
